/*
############################################################
Connect hook example
This is called after a client connects and loads in
############################################################
*/
function send_greeting(slot) {
	mxserver.send(slot, "Welcome to the server!");
	send_greeting_prev(slot);
}
var send_greeting_prev = mxserver.connect_handler;
mxserver.connect_handler = send_greeting;

/*
############################################################
Disconnect hook example
This is called after a client disconnects
############################################################
*/
function send_dis(slot) {
	mxserver.broadcast(mxserver.get_slot_info(slot).name + " left the server.  Good riddance!");
	send_dis_prev(slot);
}
var send_dis_prev = mxserver.disconnect_handler;
mxserver.disconnect_handler = send_dis;
