/*
############################################################
Tic hook example
This is called 128 times per second
############################################################
*/
var tic_count = 0;
var tic_count_next_report = 1;
function log_tics() {
	tic_count++;
	if (tic_count >= tic_count_next_report) {
		mxserver.log("Counted " + tic_count.toFixed(0) + " tics!\n");
		tic_count_next_report *= 2; 
	}
	log_tics_prev();
}
var log_tics_prev = mxserver.tic_handler;
mxserver.tic_handler = log_tics;

/*
############################################################
Second hook example
This is called one time per second
############################################################
*/
var second_count = 0;
var second_count_next_report = 1;
function log_seconds() {
	second_count++;
	if (second_count >= second_count_next_report) {
		mxserver.log("Counted " + second_count.toFixed(0) + " seconds!\n");
		second_count_next_report *= 2; 
	}
	log_seconds_prev();
}
var log_seconds_prev = mxserver.second_handler;
mxserver.second_handler = log_seconds;

/*
############################################################
*/
mxserver.log("Test script finished!\n")
